/* acconfig.h
   This file is in the public domain.

   Descriptive text for the C preprocessor macros that
   the distributed Autoconf macros can define.
   No software package will use all of them; autoheader copies the ones
   your configure.in uses into your configuration header file templates.

   The entries are in sort -df order: alphabetical, case insensitive,
   ignoring punctuation (such as underscores).  Although this order
   can split up related entries, it makes it easier to check whether
   a given entry is in the file.

   Leave the following blank line there!!  Autoheader needs it.  */


/* Define if you want to use the Apollo Graphics Primitive Resource.  */
#undef APOLLO

/* Define if you want to use the CGI terminal under SCO.  */
#undef CGI

/* Define if you want to use libgrx20 with MSDOS/djgpp.  */
#undef DJSVGA

/* Define if this system uses a 32-bit DOS extender (djgpp/emx).  */
#undef DOS32

/* Define if <errno.h> declares errno.  */
#undef EXTERN_ERRNO

/* Define if you are using the GNU readline library.  */
#undef GNU_READLINE

/* Define if your libplot.a is from GNU plotutils.  */
#undef GNU_PLOTUTILS

/* Define if you want to use the GNU version of the Unix plot library.  */
#undef GNUGRAPH

/* Define if you want to use the Apollo Graphics Primitive Resource (fixed-size window.  */
#undef GPR

/* Define if you want to use a newer version of libgrx under MSDOS/djgpp.  */
#undef GRX21

/* Define if you have Thomas Boutell's gd library.  */
#undef HAVE_LIBGD

/* Define if you have the png library.  */
#undef HAVE_LIBPNG

/* Define if you want to use the IRIS terminal on IRIS4D series computers.  */
#undef IRIS

/* Define if this is a Linux system with SuperVGA library.  */
#undef LINUXVGA

/* Define if you want to use the MGR Window system.  */
#undef MGR

/* Define if this is an MSDOS system with djgpp.  */
#undef MSDOS

/* Define if you do not want to read .gnuplot in the current directory.  */
#undef NOCWDRC

/* Define to the name of the distribution.  */
#undef PACKAGE

/* Define if you do have the popen and pclose functions.  */
#undef PIPES

/* Define if you have the function prototypes.  */
#undef PROTOTYPES

/* Define if you want to use the included readline function.  */
#undef READLINE

/* Define if you want to use the Redwood Graphics Interface Protocol.  */
#undef RGIP

/* Define if you want to use the sunview terminal (sun).  */
#undef SUN

/* Define if you want to use the unixpc terminal (ATT 3b1 or ATT 7300.  */
#undef UNIXPC

/* Define if you want to use the standard Unix plot library.  */
#undef UNIXPLOT

/* Define if you want to use the system time routines.  */
#undef USE_SYSTEM_TIME

/* Define to the version of the distribution.  */
#undef VERSION

/* Define if you are using the X11 window system.  */
#undef X11

/* Define to `long' if <sys/types.h> doesn't define.  */
#undef time_t


/* Leave that blank line there!!  Autoheader needs it.
   If you're adding to this file, keep in mind:
   The entries are in sort -df order: alphabetical, case insensitive,
   ignoring punctuation (such as underscores).  */
